#include "SymbolController.h"


et::SymbolController::SymbolController(){


}


et::SymbolController::~SymbolController(){

}


void et::SymbolController::add(Symbol* pSymbol){
	m_symbols.push_back(pSymbol);
}

int et::SymbolController::getSize(){
	return m_symbols.size();
}


et::Symbol* et::SymbolController::get(int index){
	return m_symbols.at(index);
}

void et::SymbolController::update(){
	for(int i = 0 ; i < getSize() ; i++){
		move(get(i));
	}
}

